petsc-3.4.2 2013-07-02

# PCGASMSetSubdomains

Sets the subdomains for this processor for the additive Schwarz preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMSetSubdomains(PC pc,PetscInt n,IS iis[],IS ois[])

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - the number of subdomains for this processor
| iis | - the index sets that define this processor's local inner subdomains (or NULL for PETSc to determine subdomains)
| ois | - the index sets that define this processor's local outer subdomains (or NULL to use the same as iis)

### Notes

The IS indices use the parallel, global numbering of the vector entries. Inner subdomains are those where the correction is applied. Outer subdomains are those where the residual necessary to obtain the corrections is obtained (see PCGASMType for the use of inner/outer subdomains). Both inner and outer subdomains can extend over several processors. This processor's portion of a subdomain is known as a local subdomain.

By default the GASM preconditioner uses 1 (local) subdomain per processor. Use PCGASMSetTotalSubdomains() to set the total number of subdomains across all processors that PCGASM will create automatically, and to specify whether they should be local or not.

### Keywords

PC, GASM, set, subdomains, additive Schwarz

### See Also

PCGASMSetTotalSubdomains(), PCGASMSetOverlap(), PCGASMGetSubKSP(),
PCGASMCreateSubdomains2D(), PCGASMGetSubdomains()

Level:advanced
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex8g.c.html